package cn.com.countrygarden.bi.main.service.performance;

import cn.com.countrygarden.bi.main.model.performance.PerformanceCompany;
import cn.com.countrygarden.bi.main.model.performance.PerformanceMonthly;
import cn.com.countrygarden.bi.main.model.performance.PerformanceScore;

import java.util.List;

/**
 * 城市公司信息
 * @author Max Date:2018/09/12
 * @version 1.0
 * @since 1.8
 */
public interface PerformanceCompanyService {
    int deleteByPrimaryKey(Long comId);

    int insertSelective(PerformanceCompany record);

    PerformanceCompany selectByPrimaryKey(Long comId);

    int updateByPrimaryKeySelective(PerformanceCompany record);

    //获得有效的城市公司
    List<PerformanceCompany> selectPerformanceCompany();

    //查询缺少的城市
    List<String> selectNotInNameCompany(PerformanceScore performanceScore);

    //查询月度缺少的城市公司
    List<String> selectMonthlyNotExistCompany(int year,int month,long elementId);

    //城市公司我的考核数据查询
    public Object selectCompanyScoreInfo(String[] hierarchyIdList, Integer year, String userCode);

    //城市公司——绩效分析
    public Object selectScoreCompanyList(String element, String userCode);

    //通过hierachyId得到数据
    List<PerformanceCompany> selectByHierarchyId(String hierarchy_id);

    //查询所有
    List<PerformanceCompany> selectValidCompany();

    //根据城市公司id获得类型值
    String getTypeByComId(String comId);
}
